PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PArgList::OptionSpec Struct Reference

`#include <args.h>`

Collaboration diagram for PArgList::OptionSpec:
[legend]

## Public Member Functions
| OptionSpec ()

## Public Attributes
char | m_letter
PString | m_name
PString | m_usage
PString | m_section
OptionType | m_type
unsigned | m_count
PString | m_string

## Constructor & Destructor Documentation

PArgList::OptionSpec::OptionSpec | ( |  | ) |
| inline

## Member Data Documentation

unsigned PArgList::OptionSpec::m_count

char PArgList::OptionSpec::m_letter

PString PArgList::OptionSpec::m_name

PString PArgList::OptionSpec::m_section

PString PArgList::OptionSpec::m_string

OptionType PArgList::OptionSpec::m_type

PString PArgList::OptionSpec::m_usage

The documentation for this struct was generated from the following file:

- args.h